WiPay
WAPIsv2.0.2Trusted Cards

Charge Trusted Card

Initiate a charge on a verified trusted card. Returns a checkout URL for payment processing.

POST
/trusted-cards/{uuid}/charge
AuthorizationBearer <token>

OAuth2 access token obtained from POST /auth/tokens.

In: header

Path Parameters

uuidstring
Formatuuid
account_number?string

Required for MMA users.

Match^[0-9]+$
currencystring

Transaction currency code. See Get Metadata for supported currencies.

environment?string

Must match the card's environment. See Get Metadata for acceptable values.

Value in"live" | "sandbox"
fee_structurestring

See Get Metadata for acceptable values.

Value in"customer_pay" | "merchant_absorb" | "split"
order_idstring

Merchant order ID.

response_urlstring

Callback URL for payment response.

Formaturi
totalnumber

Transaction amount.

data?string

Optional JSON string of custom data.

Lengthlength <= 8192
country_code?string

Platform country code.

origin?string

Payment origin identifier.

Response Body

curl -X POST "https://tt.wipayfinancial.com/wapi/trusted-cards/497f6eca-6276-4993-bfeb-53cbbbba6f08/charge" \  -H "Content-Type: application/json" \  -d '{    "currency": "string",    "fee_structure": "customer_pay",    "order_id": "string",    "response_url": "http://example.com",    "total": 0  }'
{
  "message": "string",
  "url": "http://example.com",
  "transaction_id": "string"
}
{
  "message": "string"
}
{
  "message": "string"
}